
QGIS Application - Bug report #11379

3D Multipoint layers not correctly loaded/visualized

2014-10-10 01:24 AM - Giovanni Allegri

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19667

Description

I've tested this both with a Spatialite layer and a Shapefile (it's attached here).

Only one point is shown.

When exporting the data to a new Shapefile the Z component is lost, and reloading it in QGIS it shows the 4 (2D) points correctly.

History

#1 - 2014-10-10 01:25 AM - Giovanni Allegri

- Priority changed from High to Severe/Regression

#2 - 2014-10-10 01:36 AM - Giovanni Allegri

I've tested on 3D MULTILINESTRINGS and it seems to be ok.

#3 - 2014-10-10 01:54 PM - Giovanni Allegri

- Pull Request or Patch supplied changed from No to Yes

Pull request for fixing created https://github.com/qgis/QGIS/pull/1625

#4 - 2014-10-10 01:59 PM - Giovanni Allegri

- Target version changed from Future Release - High Priority to Version 2.6

#5 - 2014-10-10 02:00 PM - Giovanni Allegri

- Affected QGIS version changed from 2.4.0 to master

#6 - 2014-10-11 12:17 AM - Giovanni Allegri

- Resolution set to fixed/implemented

Fixed in https://github.com/qgis/QGIS/pull/1625

#7 - 2014-10-11 12:17 AM - Giovanni Allegri

- Status changed from Open to Closed

Files

points3d.zip 1.16 KB 2014-10-09 Giovanni Allegri
